{ pkgs, ... }:
{
	imports = [./desktop.nix];

	programs.sway = {
		enable = true;
		wrapperFeatures = { gtk = true; };
		extraPackages = with pkgs; [
			alacritty
			swayidle
			swaylock-effects
			mako
			bemenu
			# - bar
			i3blocks
			acpi
			lm_sensors
			# - tools
			wl-clipboard
			wdisplays
			ponymix
			brightnessctl
			gammastep
			grim
			slurp
		];
	};

	xdg.portal.wlr = {
		enable = true;
		settings.screencast = {
			chooser_type = "simple";
			chooser_cmd = "${pkgs.slurp}/bin/slurp -f %o -or";
		};
	};

	# done my sway:
	#  security.pam.services.swaylock = {};
	#  hardware.opengl.enable = true;
	#  fonts.enableDefaultFonts = true;
	#  programs.dconf.enable = true; # gtk theme

	programs.kdeconnect = {
		enable = true;
		# openFirewall = true; - by enable
	};

	# services.acpid.enable = true;


}
